summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorMichael Buesch <mb@bu3sch.de>2011-01-15 22:34:50 +0100
committerMichael Buesch <mb@bu3sch.de>2011-01-15 22:34:50 +0100
commitb15eb8c1c24030d364cf6948cb1fa6f6b5f91b4f (patch)
tree0a2c0f2ec28f635d4d962df39114017245fe8227 /tests
parent9d652dad3750bebc4154ae85439c89fc7fc0783e (diff)
downloadtoprammer-b15eb8c1c24030d364cf6948cb1fa6f6b5f91b4f.tar.xz
toprammer-b15eb8c1c24030d364cf6948cb1fa6f6b5f91b4f.zip
Improve buffer reg API. Add m24c08 test.
Signed-off-by: Michael Buesch <mb@bu3sch.de>
Diffstat (limited to 'tests')
-rw-r--r--tests/top2049/005-m24c08.test16
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/top2049/005-m24c08.test b/tests/top2049/005-m24c08.test
new file mode 100644
index 0000000..7c05282
--- /dev/null
+++ b/tests/top2049/005-m24c08.test
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+function test_init
+{
+ request_DUT "m24c08dip8" || return 1
+ return 0
+}
+
+function test_run
+{
+ local args="-c m24c08dip8 -I bin -O bin"
+
+ toprammer $args --write-eeprom "$testfile_1k"
+ toprammer $args --read-eeprom "$tmpfile"
+ compare_files "$testfile_1k" "$tmpfile" || die "EEPROM mismatch"
+}
bues.ch cgit interface